<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">
          {{ i18ntext.lngText("expire-alert") }}
        </h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 290px">
          <router-link to="">
            <a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{
                  i18ntext.lngText("expire-alert")
                }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <div class="search-box">
          <div class="search-box-title" id="Bars">
            <div id="bar">
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText("add-pro") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding: 6px">
                <li>
                  <router-link to="/product">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-bottom: 10px;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText("add-pro") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText("pro_view") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("set-pro") }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText("brands") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText("supplier") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText("unittype") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText("diangosis") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText("category") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText("exchangerate") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText("payment") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText("groupservice") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText("company") }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link
                to="menupurchase"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText("purchase_order") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText("purchase_order") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText("recept_order") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText("serial") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText("payment_view") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link
                to="/stockonhand"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText("stock") }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-top: 0;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText("onhands") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText("onhand-date") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText("begin-stock") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText("stock-count") }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a
                      class="btn-radius btn btn-sm down"
                      href="#"
                      id="bar-1"
                      style="
                        background-color: #29a5a5;
                        border: #22adb763 1px solid;
                        margin-right: 0;
                        width: 100%;
                        text-align: left;
                      "
                    >
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText("stock-tran") }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  id="bar-1"
                  style="border: #22adb763 1px solid; margin-right: 0; width: 100%"
                >
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText("stock-alert") }}
                  <span
                    style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;
                    "
                  >
                    {{ stockcount }} {{ i18ntext.lngText("item") }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a
                  class="btn-radius btn btn-sm"
                  href="#"
                  id="bar-1"
                  style="
                    background-color: #29a5a5;
                    border: #22adb763 1px solid;
                    margin-right: 0;
                    width: 100%;
                  "
                >
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText("expire-alert1") }}
                  <span
                    style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;
                    "
                  >
                    {{ count_expire }} {{ i18ntext.lngText("item") }}
                  </span>
                </a>
              </router-link>
            </div>
            <div id="right">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="
                  float: right;
                  color: #f8f5b4;
                  margin-top: -2px;
                  margin-right: 11px;
                  width: 79px;
                "
              >
                <i class="fas fa-plus" style="padding-right: 5px"></i>
                {{ i18ntext.lngText("menu") }}
              </a>
              <a
                v-if="item > 0"
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="modal"
                data-bs-target="#statiex-import"
                tabindex="10028"
                style="float: right; color: #f8f5b4"
              >
                <span
                  style="
                    width: 14px;
                    height: 14px;
                    padding: 2px;
                    color: white;
                    font-weight: bold;
                  "
                  >{{ item }}</span
                >
                To Purchese
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                  >
                    <i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText("print") }}
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="box">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="table table-striped br-table"
          >
            <thead>
              <tr class="header-table">
                <th colspan="12" style="width: 100%">
                  <input autocomplete="off"
                    type="search"
                    class="text"
                    v-model="search.name"
                    @input="getExpire()"
                    placeholder="Description, Reorder Point, Amc Inventery, MOS"
                    style="width: 100%; margin-top: 4px"
                  />
                </th>
              </tr>
              <tr class="header-table">
                <th style="width: 3%">{{ i18ntext.lngText("no") }}</th>
                <th>{{ i18ntext.lngText("document_no") }}</th>
                <th style="min-width: 35%">{{ i18ntext.lngText("description") }}</th>
                <th style="width: 10%">{{ i18ntext.lngText("reorder") }}</th>
                <th style="width: 10%">{{ i18ntext.lngText("amc") }}</th>
                <th style="width: 8%">{{ i18ntext.lngText("mos") }}</th>
                <th style="width: 7%">{{ i18ntext.lngText("alert-sale") }}</th>
                <th style="width: 10%">{{ i18ntext.lngText("onhand") }}</th>
                <th style="width: 10%">{{ i18ntext.lngText("stock-am") }}</th>
                <th style="width: 8%">{{ i18ntext.lngText("expire-date") }}</th>
                <th></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, index) in expires.data">
                <td>{{ 15*(number - 1)  + (index + 1)}}</td>
                <td>{{ item.document_no }}</td>
                <td>{{ item.description }}</td>
                <td style="text-align: right">
                  {{ item.reorder_point }}
                  <span style="color: #1828d0">{{ item.stock_uint }}</span>
                </td>
                <td style="text-align: right">
                  {{ Number(item.amc_inventery).toLocaleString() }}
                  <span style="color: #1828d0"> {{ item.stock_uint }}</span>
                </td>
                <td style="text-align: right">
                  {{ Number(item.mos).toLocaleString() }}
                </td>
                <td style="text-align: right">
                  {{ Number(item.unit_price).toLocaleString() }}
                  <span v-if="item.curency_code == 'USD'">$</span>
                  <span v-else>៛</span>
                </td>
                <td style="text-align: right">
                  {{ Number(item.stock_onhand).toLocaleString() }}
                  <span style="color: #1828d0"> {{ item.stock_uint }}</span>
                </td>
                <td style="text-align: right">
                  {{ Number(item.stock_aoumt).toLocaleString() }}
                  <span v-if="item.curency_code == 'USD'">$</span>
                  <span v-else>៛</span>
                </td>
                <td v-if="item.exprit_date != null" style="text-align: right">
                  {{ formatdatetime(item.exprit_date) }}
                </td>
                <td v-else style="text-align: right">{{ item.exprit_date }}</td>
                <td style="text-align: center !important">
                  <div @click="getItem(item)" v-if="user === 'Admin'" class="button type2" data-bs-toggle="modal" data-bs-target="#searchconfirm">
                      <span><input autocomplete="off" type="button" value="display" class="type2"
                      style="opacity: 0; width: 54px"
                      tabindex="10025" />{{ i18ntext.lngText('edit-date') }}</span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="box-footer-pagination">
            <pagination :limit="2" :data="expires" @pagination-change-page="getExpire" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog" style="max-width: 85% !important">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText("print") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3" id="purchaseorder">
                <div style="padding: 0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText("exlert-rep") }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">
                        {{ i18ntext.lngText("com-name") }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("name") }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("phone") }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("email") }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("address") }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">
                        {{ i18ntext.lngText("date") }}
                      </p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center">{{ i18ntext.lngText("no") }}</th>
                          <th class="text-center">
                            {{ i18ntext.lngText("description") }}
                          </th>
                          <th class="text-center">Reorder</th>
                          <th class="text-center">{{ i18ntext.lngText("amc") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("mos") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("onhand") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("price") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("stock-am") }}</th>
                          <th class="text-center">
                            {{ i18ntext.lngText("expire-date") }}
                          </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in printData">
                          <td>{{ index + 1 }}</td>
                          <td>{{ item.description }}</td>
                          <td style="text-align: right">
                            {{ Number(item.reorder_point).toLocaleString() }}
                            <span style="color: #1828d0"> {{ item.stock_uint }}</span>
                          </td>
                          <td style="text-align: right">
                            {{ Number(item.amc_inventery).toLocaleString() }}
                            <span style="color: #1828d0"> {{ item.stock_uint }}</span>
                          </td>
                          <td style="text-align: right">
                            {{ Number(item.mos).toLocaleString() }}
                          </td>
                          <td style="text-align: right">
                            {{ Number(item.stock_onhand).toLocaleString() }}
                            <span style="color: #1828d0"> {{ item.stock_uint }}</span>
                          </td>
                          <td style="text-align: right">
                            {{ Number(item.unit_price).toLocaleString() }}
                            <span v-if="item.curency_code == 'USD'">$</span>
                            <span v-else>៛</span>
                          </td>
                          <td style="text-align: right">
                            {{ Number(item.stock_aoumt).toLocaleString() }}
                            <span v-if="item.curency_code == 'USD'">$</span>
                            <span v-else>៛</span>
                          </td>
                          <td v-if="item.exprit_date != null" style="text-align: right">
                            {{ formatdatetime(item.exprit_date) }}
                          </td>
                          <td v-else style="text-align: right">
                            {{ item.exprit_date }}
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText("print") }}</a
          >
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />

  <div
    class="modal fade ui-modal"
    id="searchconfirm"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="clearconfirmlabel"
    aria-hidden="true"
  >
    <div class="modal-dialog smallpopup" id="nonbackgroundboom">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title" id="exampleModalLabel">
            <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{
              i18ntext.lngText("confirm_message")
            }}</span>
          </h5>
          <span
            class="ui-icon ui-icon-closethick btn-cancel"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" style="background-color: #fff">
          <div class="modal-body">
            <p>Expire date : </p>
              <input type="date" class="clear_text code text" v-model="form.exprit_date"/>

          </div>
          <div class="modal-footer">
            <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
              <span
                >{{ i18ntext.lngText("No")
                }}<input autocomplete="off"
                  type="button"
                  class="type2"
                  tabindex="10008"
                  value="No"
                  style="width: 89px; opacity: 0"
                />
              </span>
            </div>
            <div @click="updateDate(this.form)"
              class="button type2"
              id="uniform-undefined"
              data-bs-dismiss="modal"
             
            >
              <span
                >{{ i18ntext.lngText("yes")
                }}<input autocomplete="off"
                  type="button"
                  class="type2"
                  tabindex="10008"
                  value="No"
                  style="width: 89px; opacity: 0"
                />
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</template>

<script>
import Auth from "../../auth/Auth";
import axios from "axios";
import moment from "moment";
import Header from "../Header.vue";
import Footer from "../footer.vue";
import Logo from "../logo.vue";
import pagination from "laravel-vue-pagination";
import print from "vue3-print-nb";
import UserInfo from "../UserInfo.vue";
import i18n from "../../i18n/i18n";
export default {
  components: {
    Header,
    Footer,
    Logo,
    pagination,
    UserInfo,
  },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      company: [],
      items: {},
      item: "0",
      datass: [],
      dateformat: "",
      expires: [],
      stockcount: 0,
      count_expire: 0,
      search: "",
      printData: [],
      number_page: 1,
      number : 1,
      user : Auth.user.role,
      form:{
        amc_amount:0,
        amc_inventery :  0,
        countday_exprit : 0,
        created_at:  "",
        curency_code :  "Riel",
        description  : '',
        document_no : '',
        exprit_date : '',
        id : '',
        mos : '',
        product_no : '',
        reorder_point : '',
        stock_aoumt : '',
        stock_onhand : '',
        stock_uint : '',
        unit_price : ''
      },
      search:{
        name : '',
      }
    };
  },

  mounted() {
    if (Auth.check()) {
      if (!Auth.checkPermission("EXPIREALERT_ALL")) {
        this.$router.push("/dashboard");
      }
    }
    console.log(this.user)
    if (this.$route.query.page != 1) {
      this.number_page = this.$route.query.page;
      axios.get("api/v1/expireAlert?page=" + this.number_page).then((res) => {
        this.expires = res.data.stock;
        this.printData = res.data.print;
        this.count_expire = res.data.stock.total;
      });
    } else {
      this.getExpire();
    }
    let myPagenumber = this.$route.query
     if(JSON.stringify(myPagenumber) === '{}'){
        this.number = 1
     } 
     else {
      this.number = this.$route.query.page
     }

    this.getBrands();
    this.getcompany();

    this.getstockalert();
  },
  methods: {
    getItem(item){
      console.log(item)
      this.form = item
      
    },
    updateDate(item){
      axios.post('api/v1/update/Expire/'+item.id,item)
            .then(res => {
              console.log(res.data)
            })
            if (this.$route.query.page != 1) {
          this.number_page = this.$route.query.page;
          axios.get("api/v1/expireAlert?page=" + this.number_page).then((res) => {
            this.expires = res.data.stock;
            this.printData = res.data.print;
            this.count_expire = res.data.stock.total;
          });
        } else {
          this.getExpire();
        }
      
    },
    getBrands(page = 1) {
      axios.post("/api/v1/stockcheck/checkOptionstock?page=" + page).then((data) => {
        this.items = data.data;
        this.datass = [];
        this.items = this.datass;
      });
    },

    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },

    getExpire(page = 1) {
      this.$router.push({ name: "ex_alert", query: { page: page } });
      axios.get("api/v1/expireAlert?page=" + page+"&name="+this.search.name).then((res) => {
        this.expires = res.data.stock;
        this.printData = res.data.print;
        this.count_expire = res.data.stock.total;
        this.number = this.$route.query.page
      });
    },
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
    },
    // mySearch() {
    //   if (this.search == "") {
    //     this.getExpire();
    //   } else {
    //     axios.get("api/v1/stocktraview/ex_alert/" + this.search).then((res) => {
    //       this.expires = res.data;
    //     });
    //   }
    // },
    // myClare() {
    //   this.search = "";
    //   this.getExpire();
    // },
    formatdatetime(dateform) {
      try {
        return moment(dateform).format("DD-MM-YYYY");
      } catch (error) {
        return dateform;
      }
    },
  },
};
</script>
